    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.awt.ItemSelectable

public interface ItemSelectable

The interface for objects which contain a set of items for which zero or more can be selected.

##

addItemListener(ItemListener)
  Add a listener to recieve item events when the state of an item changes.
getSelectedObjects()
  Returns the selected items or null if no items are selected.
removeItemListener(ItemListener)
  Removes an item listener.

##

getSelectedObjects

     public abstract Object[] getSelectedObjects()

  Returns the selected items or null if no items are selected.

addItemListener

     public abstract void addItemListener(ItemListener l)

  Add a listener to recieve item events when the state of an item changes.

  Parameters:
    l - the listener to recieve events
  See Also:
    ItemEvent

removeItemListener

     public abstract void removeItemListener(ItemListener l)

  Removes an item listener.

  Parameters:
    l - the listener being removed
  See Also:
    ItemEvent

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.